#!/bin/bash
. /home/native/.profile
export QTDIR=/usr/lib/ezx
export LD_LIBRARY_PATH=/mmc/mmca1/games/lib:$LD_LIBRARY_PATH
myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'$//g'`
MyPath=/mmc/mmca1/MyMod/
rm -f ${mypath}mylist.txt
ls /mmc/mmca1/MyMod/ >> ${mypath}mylist.txt
cat ${mypath}mylist.txt | sed "s|${MyPath}||g" > ${mypath}mylist.txt
cat ${mypath}mylist.txt | sed -e 's/^/ -item /g' -e 's/$//g' > ${mypath}mylist.txt
cat ${mypath}mylist.txt | sed -e ':a;$!N;s/\n//;ta;' -e 's/$//g' > ${mypath}mylist.txt
itemlist=`cat ${mypath}mylist.txt`
MYITEM=`${mypath}inputbox -t "<h3>Extended Module Player</h3>" -l "Select mod to play" -getitemtext $itemlist | sed -n s/^ItemText=//gp`
if [ "$MYITEM" = "" ]
then
rm -f ${mypath}mylist.txt
exit
fi
${mypath}xmp  /mmc/mmca1/MyMod/$MYITEM
rm -f ${mypath}mylist.txt
exit
fi